            #GIT_CMT=ec1d84eea9a4b81a6a4d1be2b0cc0ddad1c7a919
# Provide this lldpad package with a greater epoch to
# ensure it is selected over vanilla lldpad.
# 
# Vanilla package:
#    0 : lldpad-1.0.1-3.git036e314.el7.x86_64.rpm
#
# This package:
#    5 : lldpad-1.0.1-1.0.3.el7ora.x86_64.rpm
# 
%define uek5epoch 5
%global flavor ora

Name:		lldpad 
Epoch:		%{uek5epoch} 
Version:	1.0.1
Release:	1.0.4%{?dist}%{?flavor}
Summary:	Intel LLDP Agent

Group:		System Environment/Daemons
License:	GPLv2
Source0: lldpad-1.0.1.tar.bz2

BuildRequires:		automake autoconf libtool
BuildRequires:		flex >= 2.5.33
BuildRequires:		kernel-headers >= 2.6.32
BuildRequires:		libconfig-devel >= 1.3.2
BuildRequires:		libnl3-devel
BuildRequires:		readline-devel
Requires:		kernel >= 2.6.32
Requires:		readline	
Requires(post):		systemd
Requires(preun):	systemd
Requires(postun):	systemd

%description
This package contains the Linux user space daemon and configuration tool for
Intel LLDP Agent with Enhanced Ethernet support for the Data Center.

# Make sure to mark vanilla lldpad as obsolete 
# compared to this one.
Provides:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	%{name} < %{epoch}:%{version}-%{release}

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description	devel
The %{name}-devel package contains header files for developing applications
that use %{name}.

%prep
%setup -q


%build
/usr/bin/sh bootstrap.sh
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ -e /etc/init.d/%{name} ] && [ -e /sbin/chkconfig ]; then
	/sbin/chkconfig --add %{name}
fi
if type systemctl >/dev/null 2>&1; then
	# Scriplet only runs preset. Run enable/start manually
	%systemd_post %{name}.socket %{name}.service
fi

%preun
if [ $1 = 0 ]; then
	if [ -e /etc/init.d/%{name} ] && [ -e /sbin/chkconfig ]; then
		/sbin/service %{name} stop
		/sbin/chkconfig --del %{name}
	fi
	if type systemctl >/dev/null 2>&1; then
		%systemd_preun %{name}.service %{name}.socket
	fi
fi

%postun
if [ $1 = 1 ]; then
	# Package upgrade, not uninstall
	if [ -e /etc/init.d/%{name} ] && [ -e /sbin/chkconfig ]; then
		/sbin/service %{name} condrestart
	fi
	if type systemctl >/dev/null 2>&1; then
		%systemd_postun_with_restart %{name}.socket %{name}.service
	fi
fi

%files
%defattr(-,root,root,-)
%doc COPYING
%doc README
%doc ChangeLog
%{_sbindir}/*
%dir /var/lib/lldpad
%{_unitdir}/lldpad.service
%{_unitdir}/lldpad.socket
%{_sysconfdir}/bash_completion.d/lldpad
%{_sysconfdir}/bash_completion.d/lldptool
%{_mandir}/man8/*
%{_libdir}/liblldp_clif.*
%{_mandir}/man3/liblldp_clif-vdp22.*

%files devel
%defattr(-,root,root,-)
%doc COPYING
%doc README
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Apr 24 2019 Imanti Mendez <imanti.mendez@oracle.com> - 5:1.0.1-1.0.4ora
- oracle: Release v5:1.0.1-1.0.4 (Imanti Mendez)  [Orabug: 2922916028610567]

* Mon Mar 04 2019 Imanti Mendez <imanti.mendez@oracle.com> - 1.0.1-1.0.3.el7
- Build version 1.0.1-1.0.3 (Imanti Mendez)

* Wed Feb 27 2019 Imanti Mendez <imanti.mendez@oracle.com> - 1.0.1-1.0.2.el7
- ORACLE: Build version 1.0.1-1.0.2 (Imanti Mendez)

* Wed Oct 31 2018 immendez <imanti.mendez@oracle.com> - 1.0.1-1.0.1.el7
- Triggering prod-build release 1.0.1

* Mon Feb 22 2010 John Fastabend <john.r.fastabend@intel.com> - 0.9.22
- initial generic lldp support

* Thu Feb 26 2009 Chris Leech <christopher.leech@intel.com> - 0.9.5-1
- initial RPM packaging

